<?
if(isset($_GET['soil']))
{
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1 && $ct['soil']<12)
{
if($ct['soil']==0)$cena=15000;else $cena=5000;
if($ct['soil']==0)$rating=7500000000;else $rating=0;
if(isset($_GET['level']))
{
if(isset($_GET['ok']))
{
if($mc['rubies']>=$cena)
{
mysql_query("UPDATE `kolhoz_collective` SET `soil` = '".($mc['soil']+1)."' WHERE `id` = '$mc[id]'");
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."', `rating` = '".($mc['rating']+$rating)."' WHERE `id` = '$mc[id]'");
header("Location:?collective=$ct[id]&buildings&soil&".passgen());
exit;
}
else
{
echo no_rubies_ct($cena-$mc['rubies']);
}
}
echo podtv("?collective=$ct[id]&buildings&soil&level&ok","?collective=$ct[id]&buildings&soil");
include_once 'inc/foot.php';
}
}
echo "<div class='event'><h1><a href='?collective=$ct[id]&buildings'>Постройки</a> / Склад удобрений</h1></div>";
echo '<div class="content">
<div class="block">
<div>
<span class="epic">Склад удобрений</span> - усиливает эффект удобрителя.
<div style="clear:both"></div>
<h3>Эффект</h3>
<div class="title">
Увеличивает силу удобрителя на 5% за каждый уровень.
</div>
<h3>Например</h3>
<div class="minor">
Удобритель 12-го уровня даёт 280%, 1 уровень склада удобрений даст 280% * 1.05 = 294%, а 10-й уровень склада даст 280% * 1.5 = 420%).
</div>
</div>
<div class="title">При постройке увеличивает колхозный опыт на <span>7,5</span> млрд.</div>
<div style="clear:both;"></div>';
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1)if($ct['soil']<12)echo "<div><a href='?collective=$ct[id]&buildings&soil&level'>".($ct['soil']==0?"Купить":"Повысить уровень")."</a> <span class='minor'>(цена <span><img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span></span>)</span>";

if($ct['soil']>0)echo '<div class="pt">
Текущий уровень: <span class="title">'.$ct['soil'].'</span> / <span>12</span><br></div>';

echo '<div class="pt">
<img width="16" height="16" src="images/icons/guild.png" alt="o"> <a href="?collective='.$ct['id'].'&buildings">Постройки</a>
</div>
</div>';
include_once 'inc/foot.php';
}
if(isset($_GET['irrigate']))
{
if($ct['irrigate']==0)$cena=15000;else $cena=5000;
if($ct['irrigate']==0)$rating=7500000000;else $rating=0;
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1 && $ct['irrigate']<12)
{
if(isset($_GET['level']))
{
if(isset($_GET['ok']))
{
if($mc['rubies']>=$cena)
{
mysql_query("UPDATE `kolhoz_collective` SET `irrigate` = '".($mc['irrigate']+1)."' WHERE `id` = '$mc[id]'");
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."', `rating` = '".($mc['rating']+$rating)."' WHERE `id` = '$mc[id]'");
header("Location:?collective=$ct[id]&buildings&irrigate&".passgen());
exit;
}
else
{
echo no_rubies_ct($cena-$mc['rubies']);
}
}
echo podtv("?collective=$ct[id]&buildings&irrigate&level&ok","?collective=$ct[id]&buildings&irrigate");
include_once 'inc/foot.php';
}
}
echo "<div class='event'><h1><a href='?collective=$ct[id]&buildings'>Постройки</a> / Оросительная
система</h1></div>";
echo '<div class="content">
<div class="block">
<div>
<span class="epic">Оросительная система</span> - система для подвода воды на поля, испытывающие недостаток влаги, и увеличения её запасов в корнеобитаемом слое почвы в целях увеличения плодородия почвы. Орошение является одним из видов мелиорации. Орошение улучшает снабжение корней растений влагой и питательными веществами, снижает температуру приземного слоя воздуха и увеличивает его влажность.
<div style="clear:both"></div>
<h3>Эффект</h3>
<div class="title">
Дает постоянный эффект аналогичный Гидропонике (уровень * 10%).
</div>
</div>
<div class="title">При постройке увеличивает
колхозный опыт на <span>7,5</span> млрд.</div>
<div style="clear:both;"></div>';
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1)if($ct['irrigate']<12)echo "<div><a href='?collective=$ct[id]&buildings&irrigate&level'>".($ct['irrigate']==0?"Купить":"Повысить уровень")."</a> <span class='minor'>(цена <span><img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span></span>)</span></div>";

if($ct['irrigate']>0)echo '<div class="pt">
Текущий уровень: <span class="title">'.$ct['irrigate'].'</span> / <span>12</span><br></div>';
echo '<div class="pt">
<img width="16" height="16" src="images/icons/guild.png" alt="o"> <a href="?collective='.$ct['id'].'&buildings">Постройки</a>
</div>
</div>';
include_once 'inc/foot.php';
}
if(isset($_GET['school']))
{
if($ct['school']==0)$cena=10000;else $cena=2000;
if($ct['school']==0)$rating=5000000000;else $rating=0;
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1 && $ct['school']<12)
{
if(isset($_GET['level']))
{
if(isset($_GET['ok']))
{
if($mc['rubies']>=$cena)
{
mysql_query("UPDATE `kolhoz_collective` SET `school` = '".($mc['school']+1)."' WHERE `id` = '$mc[id]'");
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."', `rating` = '".($mc['rating']+$rating)."' WHERE `id` = '$mc[id]'");
header("Location:?collective=$ct[id]&buildings&school&".passgen());
exit;
}
else
{
echo no_rubies_ct($cena-$mc['rubies']);
}
}
echo podtv("?collective=$ct[id]&buildings&school&level&ok","?collective=$ct[id]&buildings&school");
include_once 'inc/foot.php';
}
}
echo "<div class='event'><h1><a href='?collective=$ct[id]&buildings'>Постройки</a> / Общеобразовательная школа</h1></div>";
echo '<div class="content">
<div class="block">
<div>
<span class="epic">Общеобразовательная школа</span> - учебное заведение для получения среднего образования.
<div style="clear:both"></div>
<h3>Эффект</h3>
<div class="title">
Повышает получаемый базовый опыт колхозников на 100%.<br>
Бонус действует только на колхозников, уровень которых не превышает (25 + уровень школы * 2).
</div>
</div>
<div class="title">При постройке увеличивает колхозный опыт на <span>5</span> млрд.</div>
<div style="clear:both;"></div>';
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1)if($ct['school']<12)echo "<div><a href='?collective=$ct[id]&buildings&school&level'>".($ct['school']==0?"Купить":"Повысить уровень")."</a> <span class='minor'>(цена <span><img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span></span>)</span></div>";

if($ct['school']>0)echo '<div class="pt">
Текущий уровень: <span class="title">'.$ct['school'].'</span> / <span>12</span><br></div>';

echo '<div class="pt">
<img width="16" height="16" src="images/icons/guild.png" alt="o"> <a href="?collective='.$ct['id'].'&buildings">Постройки</a>
</div>
</div>';
include_once 'inc/foot.php';
}
if(isset($_GET['vet']))
{
if($ct['vet']==0)$cena=15000;else $cena=5000;
if($ct['vet']==0)$rating=7500000000;else $rating=0;
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1 && $ct['vet']<12)
{
if(isset($_GET['level']))
{
if(isset($_GET['ok']))
{
if($mc['rubies']>=$cena)
{
mysql_query("UPDATE `kolhoz_collective` SET `vet` = '".($mc['vet']+1)."' WHERE `id` = '$mc[id]'");
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."', `rating` = '".($mc['rating']+$rating)."' WHERE `id` = '$mc[id]'");
header("Location:?collective=$ct[id]&buildings&vet&".passgen());
exit;
}
else
{
echo no_rubies_ct($cena-$mc['rubies']);
}
}
echo podtv("?collective=$ct[id]&buildings&vet&level&ok","?collective=$ct[id]&buildings&vet");
include_once 'inc/foot.php';
}
}
echo "<div class='event'><h1><a href='?collective=$ct[id]&buildings'>Постройки</a> / Ветеринарная
клиника</h1></div>";
echo '<div class="content">
<div class="block">
<div>
<span class="epic">Ветеринарная клиника</span> - клиника для животных.
<div style="clear:both"></div>
<h3>Эффект</h3>
<div class="title">
Увеличивает опыт и доход с животных.<br>
Опыт увеличивается на (уровень * 25%).<br>
Доход увеличивается на (уровень * 10%).
</div>
</div>
<div class="title">При постройке увеличивает колхозный опыт на <span>7,5</span> млрд.</div>
<div style="clear:both;"></div>';
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1)if($ct['vet']<12)echo "<div><a href='?collective=$ct[id]&buildings&vet&level'>".($ct['vet']==0?"Купить":"Повысить уровень")."</a> <span class='minor'>(цена <span><img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span></span>)</span></div>";

if($ct['vet']>0)echo '<div class="pt">
Текущий уровень: <span class="title">'.$ct['vet'].'</span> / <span>12</span><br></div>';
echo '<div class="pt">
<img width="16" height="16" src="images/icons/guild.png" alt="o"> <a href="?collective='.$ct['id'].'&buildings">Постройки</a>
</div>
</div>';
include_once 'inc/foot.php';
}
if(isset($_GET['bank']))
{
if($ct['bank']==0)$cena=15000;else $cena=5000;
if($ct['bank']==0)$rating=7500000000;else $rating=0;
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1 && $ct['bank']<12)
{
if(isset($_GET['level']))
{
if(isset($_GET['ok']))
{
if($mc['rubies']>=$cena)
{
mysql_query("UPDATE `kolhoz_collective` SET `bank` = '".($mc['bank']+1)."' WHERE `id` = '$mc[id]'");
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."', `rating` = '".($mc['rating']+$rating)."' WHERE `id` = '$mc[id]'");
header("Location:?collective=$ct[id]&buildings&bank&".passgen());
exit;
}
else
{
echo no_rubies_ct($cena-$mc['rubies']);
}
}
echo podtv("?collective=$ct[id]&buildings&bank&level&ok","?collective=$ct[id]&buildings&bank");
include_once 'inc/foot.php';
}
}
echo "<div class='event'><h1><a href='?collective=$ct[id]&buildings'>Постройки</a> / Банк</h1></div>";
echo '<div class="content">
<div class="block">
<div>
<span class="epic">Банк</span> - финансово-кредитное учреждение, производящее разнообразные виды операций с деньгами и ценными бумагами и оказывающее финансовые услуги правительству, юридическим и физическим лицам.
<div style="clear:both"></div>
<h3>Эффект</h3>
<div class="title">
Даёт дополнительные рубины при покупке (уровень * 5%).
</div>
</div>
<div class="title">При постройке увеличивает колхозный опыт на <span>7,5</span> млрд.</div>
<div style="clear:both;"></div>';
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1)if($ct['bank']<12)echo "<div><a href='?collective=$ct[id]&buildings&bank&level'>".($ct['bank']==0?"Купить":"Повысить уровень")."</a> <span class='minor'>(цена <span><img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span></span>)</span></div>";

if($ct['bank']>0)echo '<div class="pt">
Текущий уровень: <span class="title">'.$ct['bank'].'</span> / <span>12</span><br></div>';
echo '<div class="pt">
<img width="16" height="16" src="images/icons/guild.png" alt="o"> <a href="?collective='.$ct['id'].'&buildings">Постройки</a>
</div>
</div>';
include_once 'inc/foot.php';
}
if(isset($_GET['lib']))
{
$cena=5000;
if($ct['lib']==0)$rating=2500000000;else $rating=0;
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1 && $ct['lib']==0)
{
if(isset($_GET['level']))
{
if(isset($_GET['ok']))
{
if($mc['rubies']>=$cena)
{
mysql_query("UPDATE `kolhoz_collective` SET `lib` = '".($mc['lib']+1)."' WHERE `id` = '$mc[id]'");
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."', `rating` = '".($mc['rating']+$rating)."' WHERE `id` = '$mc[id]'");
header("Location:?collective=$ct[id]&buildings&lib&".passgen());
exit;
}
else
{
echo no_rubies_ct($cena-$mc['rubies']);
}
}
echo podtv("?collective=$ct[id]&buildings&lib&level&ok","?collective=$ct[id]&buildings&lib");
include_once 'inc/foot.php';
}
}
echo "<div class='event'><h1><a href='?collective=$ct[id]&buildings'>Постройки</a> / Библиотека</h1></div>";
echo '<div class="content">
<div class="block">
<div>
<span class="epic">Библиотека</span> - архив литературных произведений великих
писателей.
<div style="clear:both"></div>
<h3>Эффект</h3>
<div class="title">
Повышает получаемый базовый опыт всех колхозников на 50%.
</div>
</div>
<div class="title">При постройке увеличивает колхозный опыт на <span>2,5</span> млрд.</div>
<div style="clear:both;"></div>';
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1)if($ct['lib']==0)echo "<div><a href='?collective=$ct[id]&buildings&lib&level'>Купить</a> <span class='minor'>(цена <span><img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span></span>)</span></div>";

echo '<div class="pt">
<img width="16" height="16" src="images/icons/guild.png" alt="o"> <a href="?collective='.$ct['id'].'&buildings">Постройки</a>
</div>
</div>';
include_once 'inc/foot.php';
}
if(isset($_GET['greenhouse']))
{
if($ct['greenhouse']==0)$cena=15000;else $cena=5000;
if($ct['greenhouse']==0)$rating=7500000000;else $rating=0;
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1 && $ct['greenhouse']<12)
{
if(isset($_GET['level']))
{
if(isset($_GET['ok']))
{
if($mc['rubies']>=$cena)
{
mysql_query("UPDATE `kolhoz_collective` SET `greenhouse` = '".($mc['greenhouse']+1)."' WHERE `id` = '$mc[id]'");
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."', `rating` = '".($mc['rating']+$rating)."' WHERE `id` = '$mc[id]'");
header("Location:?collective=$ct[id]&buildings&greenhouse&".passgen());
exit;
}
else
{
echo no_rubies_ct($cena-$mc['rubies']);
}
}
echo podtv("?collective=$ct[id]&buildings&greenhouse&level&ok","?collective=$ct[id]&buildings&greenhouse");
include_once 'inc/foot.php';
}
}
echo "<div class='event'><h1><a href='?collective=$ct[id]&buildings'>Постройки</a> / Теплица</h1></div>";
echo '<div class="content">
<div class="block">
<div>
<span class="epic">Теплица</span> - защитное сооружение для вашей рассады.
Исходящее от солнца инфракрасное излучение подогревает растения и почву внутри теплицы. Нагретый воздух удерживается внутри сооружения, и ваши растения начинают приносить больше
урожая.
<div style="clear:both"></div>
<h3>Эффект</h3>
<div class="title">
Увеличивает урожай с грядок на (уровень * 20%).
</div>
</div>
<div class="title">При постройке увеличивает колхозный опыт на <span>7,5</span> млрд.</div>
<div style="clear:both;"></div>';
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1)if($ct['greenhouse']<12)echo "<div><a href='?collective=$ct[id]&buildings&greenhouse&level'>".($ct['greenhouse']==0?"Купить":"Повысить уровень")."</a> <span class='minor'>(цена <span><img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span></span>)</span></div>";

if($ct['greenhouse']>0)echo '<div class="pt">
Текущий уровень: <span class="title">'.$ct['greenhouse'].'</span> / <span>12</span><br></div>';

echo '<div class="pt">
<img width="16" height="16" src="images/icons/guild.png" alt="o"> <a href="?collective='.$ct['id'].'&buildings">Постройки</a>
</div>
</div>';
include_once 'inc/foot.php';
}
if(isset($_GET['cellar']))
{
if($ct['cellar']==0)$cena=20000;else $cena=8000;
if($ct['cellar']>=6)$cena=10000;
if($ct['cellar']>=10)$cena=20000;
if($ct['cellar']==0)$rating=8000000000;else $rating=0;
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1 && $ct['cellar']<12)
{
if(isset($_GET['level']))
{
if(isset($_GET['ok']))
{
if($mc['rubies']>=$cena)
{
mysql_query("UPDATE `kolhoz_collective` SET `cellar` = '".($mc['cellar']+1)."' WHERE `id` = '$mc[id]'");
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']-$cena)."', `rating` = '".($mc['rating']+$rating)."' WHERE `id` = '$mc[id]'");
header("Location:?collective=$ct[id]&buildings&cellar&".passgen());
exit;
}
else
{
echo no_rubies_ct($cena-$mc['rubies']);
}
}
echo podtv("?collective=$ct[id]&buildings&cellar&level&ok","?collective=$ct[id]&buildings&cellar");
include_once 'inc/foot.php';
}
}
echo "<div class='event'><h1><a href='?collective=$ct[id]&buildings'>Постройки</a> / Склад заготовок</h1></div>";
echo '<div class="content">
<div class="block">
<div>
<span class="epic">Склад заготовок</span> - улучшенное сооружение для погреба.
Благодаря усовершенствованной технологии, позволяет увеличить количество урожая в погребе.
<div style="clear:both"></div>
<h3>Эффект</h3>
<div class="title">
С 1 по 5 уровень увеличивает урожай с погреба на 100%<br/>
С 6 по 12 уровень , процент увеличения = (уровень*20)<br/>
Таким образом, использование Склада 12 уровня увеличит кол-во урожая на 240%
</div>
</div>
<div class="title">При постройке увеличивает колхозный опыт на <span>8</span> млрд.</div>
<div style="clear:both;"></div>';
if(isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1)if($ct['cellar']<12)echo "<div><a href='?collective=$ct[id]&buildings&cellar&level'>".($ct['cellar']==0?"Купить":"Повысить уровень")."</a> <span class='minor'>(цена <span><img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$cena</span></span>)</span></div>";

if($ct['cellar']>0)echo '<div class="pt">
Текущий уровень: <span class="title">'.$ct['cellar'].'</span> / <span>12</span><br></div>';

echo '<div class="pt">
<img width="16" height="16" src="images/icons/guild.png" alt="o"> <a href="?collective='.$ct['id'].'&buildings">Постройки</a>
</div>
</div>';
include_once 'inc/foot.php';
}
$array_buildings=array('soil/Склад удобрений' => $ct['soil'], 'irrigate/Оросительная система' => $ct['irrigate'], 'school/Школа' => $ct['school'], 'vet/Ветеринарная клиника' => $ct['vet'], 'bank/Банк' => $ct['bank'], 'lib/Библиотека' => $ct['lib'], 'greenhouse/Теплица' => $ct['greenhouse'], 'cellar/Склад заготовок' => $ct['cellar']);
echo "<div class='event'><h1><a href='?collective=$ct[id]'>".hsc($ct['name'])."</a> / Постройки</h1></div>";
echo '<div class="content">
<div class="block">
<ul>';
foreach($array_buildings AS $key => $value)
{
$post=explode('/',$key);
echo "<li><img width='16' height='16' src='images/icons/guild.png' alt='o'> <a href='?collective=$ct[id]&buildings&$post[0]' class='".($value!=0?'epic':'minor')."'>$post[1]</a> ".($value!=0 && $post[0]!='lib'?"(<span class='title'>$value</span>)":null)."</li>";
}
echo '</ul>
</div>';
include_once 'inc/foot.php';
?>